Bug 229422 - Sun Fire V245 cannot boot
Summary: Sun Fire V245 cannot boot
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 11.2-RELEASE
Hardware: sparc64 Any
: --- Affects Some People
Assignee: freebsd-sparc64 mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-06-29 21:32 UTC by Yoshihiko Iwama
Modified: 2018-09-03 20:34 UTC (History)
2 users (show)

See Also:


Attachments
loader_main.diff (421 bytes, patch)
2018-08-27 08:36 UTC, Yoshihiko Iwama
no flags Details | Diff
src.opts.mk.diff (546 bytes, patch)
2018-09-01 02:09 UTC, Yoshihiko Iwama
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yoshihiko Iwama 2018-06-29 21:32:23 UTC
I booted Sun Fire V245 from disc1 disc of 11.1-RELEASE, but it fails with the error below:

ERROR: Last Trap: Fast Data Access MMU Miss


The complete log at boot is as follows:

{1} ok reset-all

SC Alert: Host System has Reset
Probing system devices
Probing memory
Probing I/O buses
screen not found.
keyboard not found.
Keyboard not present.  Using ttya for input and output.
Probing system devices
Probing memory
Probing I/O buses


Sun Fire V245, No Keyboard
Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
OpenBoot 4.22.22, 16384 MB memory installed, Serial #XXXXXXXX.
Ethernet address 0:14:4f:XX:XX:XX, Host ID: XXXXXXXX.




{1} ok probe-scsi-all
/pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1

MPT Version 1.05, Firmware Version 1.08.04.00

Target 0
Unit 0   Disk     HITACHI H106030SDSUN300GA2B0    585937500 Blocks, 300 GB
  SASAddress 5000cca0123b5619  PhyNum 0
Target 1
Unit 0   Disk     SEAGATE ST930003SSUN300G0B70    585937500 Blocks, 300 GB
  SASAddress 5000c50033aa3a69  PhyNum 1
Target 2
Unit 0   Disk     HITACHI H106030SDSUN300GA2B0    585937500 Blocks, 300 GB
  SASAddress 5000cca0123b3391  PhyNum 2
Target 3
Unit 0   Disk     SEAGATE ST930003SSUN300G0B70    585937500 Blocks, 300 GB
  SASAddress 5000c50033aacf89  PhyNum 3

{1} ok probe-ide
  Device 0  ( Primary Master )
         Removable ATAPI Model: MATSHITADVD-RAM UJ-85JS

  Device 1  ( Primary Slave )
         Not Present

  Device 2  ( Secondary Master )
         Not Present

  Device 3  ( Secondary Slave )
         Not Present

{1} ok devalias
net                      /pci@1e,600000/pci@0/pci@9/pci@0/network@4
net0                     /pci@1e,600000/pci@0/pci@9/pci@0/network@4
net1                     /pci@1e,600000/pci@0/pci@9/pci@0/network@4,1
net2                     /pci@1e,600000/pci@0/pci@a/pci@0/network@4
net3                     /pci@1e,600000/pci@0/pci@a/pci@0/network@4,1
cdrom                    /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:f
ide                      /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f
disk                     /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@0,0
disk0                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@0,0
disk1                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@1,0
disk2                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@2,0
disk3                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0
scsi                     /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1
ttya                     /ebus@1f,464000/serial@2,80
ttyb                     /ebus@1f,464000/serial@2,40
sc-control               /ebus@1f,464000/rmc-comm@2,0
name                     aliases
{1} ok boot cdrom
Boot device: /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:f  File and args:

>> FreeBSD/sparc64 boot block
   Boot path:   /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:f
   Boot loader: /boot/loader
Consoles: Open Firmware console
ERROR: Last Trap: Fast Data Access MMU Miss

{1} ok
Comment 1 Yoshihiko Iwama 2018-06-30 21:48:19 UTC
The log booted with 11.1-RELEASE disc1 disc are below:

{1} ok reset-all
SC Alert: Host System has Reset

Probing system devices
Probing memory
Probing I/O buses
screen not found.
keyboard not found.
Keyboard not present.  Using ttya for input and output.
Probing system devices
Probing memory
Probing I/O buses


Sun Fire V245, No Keyboard
Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
OpenBoot 4.22.22, 16384 MB memory installed, Serial #XXXXXXXX.
Ethernet address 0:14:4f:XX:XX:XX, Host ID: XXXXXXXX.




{1} ok probe-scsi-all
/pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1

MPT Version 1.05, Firmware Version 1.08.04.00

Target 0
Unit 0   Disk     HITACHI H106030SDSUN300GA2B0    585937500 Blocks, 300 GB
  SASAddress 5000cca0123b5619  PhyNum 0
Target 1
Unit 0   Disk     SEAGATE ST930003SSUN300G0B70    585937500 Blocks, 300 GB
  SASAddress 5000c50033aa3a69  PhyNum 1
Target 2
Unit 0   Disk     HITACHI H106030SDSUN300GA2B0    585937500 Blocks, 300 GB
  SASAddress 5000cca0123b3391  PhyNum 2
Target 3
Unit 0   Disk     SEAGATE ST930003SSUN300G0B70    585937500 Blocks, 300 GB
  SASAddress 5000c50033aacf89  PhyNum 3

{1} ok probe-ide
  Device 0  ( Primary Master )
         Removable ATAPI Model: MATSHITADVD-RAM UJ-85JS

  Device 1  ( Primary Slave )
         Not Present

  Device 2  ( Secondary Master )
         Not Present

  Device 3  ( Secondary Slave )
         Not Present

{1} ok devalias
net                      /pci@1e,600000/pci@0/pci@9/pci@0/network@4
net0                     /pci@1e,600000/pci@0/pci@9/pci@0/network@4
net1                     /pci@1e,600000/pci@0/pci@9/pci@0/network@4,1
net2                     /pci@1e,600000/pci@0/pci@a/pci@0/network@4
net3                     /pci@1e,600000/pci@0/pci@a/pci@0/network@4,1
cdrom                    /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:f
ide                      /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f
disk                     /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@0,0
disk0                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@0,0
disk1                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@1,0
disk2                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@2,0
disk3                    /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0
scsi                     /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1
ttya                     /ebus@1f,464000/serial@2,80
ttyb                     /ebus@1f,464000/serial@2,40
sc-control               /ebus@1f,464000/rmc-comm@2,0
name                     aliases
{1} ok boot cdrom
Boot device: /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:f  File and args:

>> FreeBSD/sparc64 boot block
   Boot path:   /pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:f
   Boot loader: /boot/loader
Consoles: Open Firmware console

FreeBSD/sparc64 bootstrap loader, Revision 1.0
(Fri Jul 21 08:44:40 UTC 2017 root@releng2.nyi.freebsd.org)
bootpath="/pci@1e,600000/pci@0/pci@1/pci@0/ide@1f/cdrom@0,0:a"
Loading /boot/defaults/loader.conf
/boot/kernel/kernel data=0xc47740+0xf4078 syms=[0x8+0xd5a38+0x8+0xc746a]
|
Hit [Enter] to boot immediately, or any other key for command prompt.
Booting [/boot/kernel/kernel]...
jumping to kernel entry at 0xc00b0000.
Copyright (c) 1992-2017 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 11.1-RELEASE #0 r321309: Fri Jul 21 08:46:54 UTC 2017
    root@releng2.nyi.freebsd.org:/usr/obj/sparc64.sparc64/usr/src/sys/GENERIC sparc64
gcc version 4.2.1 20070831 patched [FreeBSD]
real memory  = 17179869184 (16384 MB)
avail memory = 16830537728 (16050 MB)
cpu0: Sun Microsystems UltraSparc-IIIi Processor (1504.00 MHz CPU)
cpu1: Sun Microsystems UltraSparc-IIIi Processor (1504.00 MHz CPU)
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
random: entropy device external interface
kbd0 at kbdmux0
nexus0: <Open Firmware Nexus device>
pcib0: <Sun Host-PCIe bridge> mem 0x4000f600000-0x4000f6effff,0x4000f410000-0x4000f473fff irq 1983,1982 on nexus0
pcib0: Fire, module-revision 3, IGN 0x1e
Timecounter "pcib0" frequency 188000000 Hz quality 100
pcib0: DVMA map: 0xc0000000 to 0xffffffff 131072 entries
pci0: <OFW PCI bus> on pcib0
pcib1: <OFW PCIe-PCIe bridge> mem 0x100000-0x11ffff at device 0.0 on pci0
pci1: <OFW PCI bus> on pcib1
pcib2: <OFW PCIe-PCIe bridge> at device 1.0 on pci1
pci2: <OFW PCI bus> on pcib2
pcib3: <OFW PCIe-PCIe bridge> at device 0.0 on pci2
pci3: <OFW PCI bus> on pcib3
pcib4: <OFW PCIe-PCIe bridge> at device 2.0 on pci1
pci4: <OFW PCI bus> on pcib4
pcib5: <OFW PCIe-PCIe bridge> at device 8.0 on pci1
pci5: <OFW PCI bus> on pcib5
pcib6: <OFW PCIe-PCIe bridge> at device 9.0 on pci1
pci6: <OFW PCI bus> on pcib6
pcib7: <OFW PCIe-PCIe bridge> at device 0.0 on pci6
pci7: <OFW PCI bus> on pcib7
pcib8: <OFW PCIe-PCI bridge> at device 8.0 on pci7
pci8: <OFW PCI bus> on pcib8
pcib9: <OFW PCIe-PCIe bridge> at device 10.0 on pci1
pci9: <OFW PCI bus> on pcib9
pcib10: <OFW PCIe-PCIe bridge> at device 0.0 on pci9
pci10: <OFW PCI bus> on pcib10
pcib11: <OFW PCIe-PCI bridge> at device 8.0 on pci10
pci11: <OFW PCI bus> on pcib11
pcib12: <Sun Host-PCIe bridge> mem 0x4000ff00000-0x4000ffeffff,0x4000fc10000-0x4000fc73fff irq 2047,2046 on nexus0
pcib12: Fire, module-revision 3, IGN 0x1f
pcib12: DVMA map: 0xc0000000 to 0xffffffff 131072 entries
pci12: <OFW PCI bus> on pcib12
pcib13: <OFW PCIe-PCIe bridge> at device 0.0 on pci12
pci13: <OFW PCI bus> on pcib13
pcib14: <OFW PCIe-PCIe bridge> at device 0.2 on pci12
pci14: <OFW PCI bus> on pcib14
ebus0: <JBus-EBus bridge> mem 0x4000fc64000-0x4000fc6401f on nexus0
nexus0: <memory-controller> mem 0x40000000000-0x40000000007 type memory-controller (no driver attached)
nexus0: <memory-controller> mem 0x40000800000-0x40000800007 type memory-controller (no driver attached)
ohci0: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x1000000-0x1000fff at device 28.0 on pci3
usbus0 on ohci0
ohci1: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x2000000-0x2000fff at device 28.1 on pci3
usbus1 on ohci1
ehci0: <ALi M5239 USB 2.0 controller> mem 0x200000-0x2000ff at device 28.3 on pci3
usbus2: EHCI version 1.0
usbus2 on ehci0
isab0: <PCI-ISA bridge> at device 30.0 on pci3
isa0: <ISA bus> on isab0
atapci0: <AcerLabs M5229 UDMA133 controller> port 0x1040-0x1047,0x1080-0x1083,0x10c0-0x10c7,0x1100-0x1103,0x1000-0x100f at device 31.0 on pci3
ata2: <ATA channel> at channel 0 on atapci0
ata3: <ATA channel> at channel 1 on atapci0
bge0: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4200000-0x420ffff,0x4010000-0x401ffff at device 4.0 on pci7
bge0: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus0: <MII bus> on bge0
brgphy0: <BCM5714 1000BASE-T media interface> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge0: Ethernet address: 00:14:4f:a9:58:9e
bge1: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4400000-0x440ffff,0x4030000-0x403ffff at device 4.1 on pci7
bge1: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus1: <MII bus> on bge1
brgphy1: <BCM5714 1000BASE-T media interface> PHY 1 on miibus1
brgphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge1: Ethernet address: 00:14:4f:a9:58:9f
bge2: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4800000-0x480ffff,0x4610000-0x461ffff at device 4.0 on pci10
bge2: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus2: <MII bus> on bge2
brgphy2: <BCM5714 1000BASE-T media interface> PHY 1 on miibus2
brgphy2:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge2: Ethernet address: 00:14:4f:a9:58:a0
bge3: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4a00000-0x4a0ffff,0x4630000-0x463ffff at device 4.1 on pci10
bge3: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus3: <MII bus> on bge3
brgphy3: <BCM5714 1000BASE-T media interface> PHY 1 on miibus3
brgphy3:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge3: Ethernet address: 00:14:4f:a9:58:a1
mpt0: <LSILogic SAS/SATA Adapter> port 0x2000-0x20ff mem 0x4c00000-0x4c03fff,0x4c10000-0x4c1ffff at device 1.0 on pci11
mpt0: MPI Version=1.5.12.0
mpt0: Capabilities: ( RAID-0 RAID-1E RAID-1 )
mpt0: 0 Active Volumes (2 Max)
mpt0: 0 Hidden Drive Members (10 Max)
ebus0: <flashprom> addr 0-0x1fffff (no driver attached)
uart0: console (9600,n,8,1)> addr 0x200000080-0x200000087 irq 1992 on ebus0
uart1: <16550 or compatible> addr 0x200000040-0x200000047 irq 1993 on ebus0
ebus0: <rmc-comm> addr 0x200000000-0x200000007 irq 1994 (no driver attached)
ebus0: <gpio> addr 0x2000000c0 (no driver attached)
epic0: <Sun Fire V215/V245 LEDs> addr 0x300000000-0x300000080 on ebus0
ebus0: <power> addr 0x300000040-0x3000000c1 irq 1987 (no driver attached)
nexus0: <i2c> mem 0x4000fd30000-0x4000fd3003f irq 1985 type i2c (no driver attached)
cryptosoft0: <software crypto> on nexus0
nexus0: <syscons> type unknown (no driver attached)
rtc0: <Real-Time Clock> at port 0x70-0x73 on isa0
Timecounter "tick" frequency 1504000000 Hz quality 10
Timecounter "stick" frequency 20000000 Hz quality 10
Event timer "tick" frequency 1504000000 Hz quality 1000
Timecounters tick every 1.000 msec
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
ugen0.1: <AcerLabs OHCI root HUB> at usbus0
uhub0: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <AcerLabs OHCI root HUB> at usbus1
uhub1: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
usbus2: 480Mbps High Speed USB v2.0
ugen2.1: <AcerLabs EHCI root HUB> at usbus2
uhub2: <AcerLabs EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus2
da0 at mpt0 bus 0 scbus2 target 0 lun 0
uhub0: 3 ports with 3 removable, self powered
uhub1: 3 ports with 3 removable, self powered
da0: <HITACHI H106030SDSUN300G A2B0> Fixed Direct Access SPC-4 SCSI device
da0: Serial Number 001114N1MM6B        PMH1MM6B
da0: 300.000MB/s transfers
da0: Command Queueing enabled
da0: 286102MB (585937500 512 byte sectors)
da1 at mpt0 bus 0 scbus2 target 1 lun 0
da1: <SEAGATE ST930003SSUN300G 0B70> Fixed Direct Access SPC-3 SCSI device
da1: Serial Number 001109734E4D        6SE34E4D
da1: 300.000MB/s transfers
da1: Command Queueing enabled
da1: 286102MB (585937500 512 byte sectors)
da2 at mpt0 bus 0 scbus2 target 2 lun 0
da2: <HITACHI H106030SDSUN300G A2B0> Fixed Direct Access SPC-4 SCSI device
da2: Serial Number 001114N1K9XB        PMH1K9XB
da2: 300.000MB/s transfers
da2: Command Queueing enabled
da2: 286102MB (585937500 512 byte sectors)
SMP: AP CPU #1 Launched!
da3 at mpt0 bus 0 scbus2 target 3 lun 0
Trying to mount root from cd9660:/dev/iso9660/11_1_RELEASE_SPARC64_CD [ro]...
da3: <SEAGATE ST930003SSUN300G 0B70> Fixed Direct Access SPC-3 SCSI device
da3: Serial Number 001109734D8E        6SE34D8E
da3: 300.000MB/s transfers
da3: Command Queueing enabled
da3: 286102MB (585937500 512 byte sectors)
cd0 at ata2 bus 0 scbus0 target 0 lun 0
cd0: <MATSHITA DVD-RAM UJ-85JS F100> Removable CD-ROM SCSI device
cd0: 33.300MB/s transfers (UDMA2, ATAPI 12bytes, PIO 65534bytes)
cd0: 549MB (281122 2048 byte sectors)
(cd0:ata2:0:0:0): READ(10). CDB: 28 00 00 04 4a 21 00 00 01 00
(cd0:ata2:0:0:0): CAM status: SCSI Status Error
(cd0:ata2:0:0:0): SCSI status: Check Condition
(cd0:ata2:0:0:0): SCSI sense: ILLEGAL REQUEST asc:64,0 (Illegal mode for this track)
(cd0:ata2:0:0:0): Info: 0x44a21
(cd0:ata2:0:0:0): Command Specific Info: 0x1d0000
(cd0:ata2:0:0:0): Error 6, Unretryable error
(cd0:ata2:0:0:0): cddone: got error 0x6 back
(cd0:ata2:0:0:0): READ(10). CDB: 28 00 00 04 4a 21 00 00 01 00
(cd0:ata2:0:0:0): CAM status: SCSI Status Error
(cd0:ata2:0:0:0): SCSI status: Check Condition
(cd0:ata2:0:0:0): SCSI sense: ILLEGAL REQUEST asc:64,0 (Illegal mode for this track)
(cd0:ata2:0:0:0): Info: 0x44a21
(cd0:ata2:0:0:0): Command Specific Info: 0x1d0000
(cd0:ata2:0:0:0): Error 6, Unretryable error
(cd0:ata2:0:0:0): cddone: got error 0x6 back
uhub2: 8 ports with 8 removable, self powered
(cd0:ata2:0:0:0): READ(10). CDB: 28 00 00 04 4a 21 00 00 01 00
(cd0:ata2:0:0:0): CAM status: SCSI Status Error
(cd0:ata2:0:0:0): SCSI status: Check Condition
(cd0:ata2:0:0:0): SCSI sense: ILLEGAL REQUEST asc:64,0 (Illegal mode for this track)
(cd0:ata2:0:0:0): Info: 0x44a21
(cd0:ata2:0:0:0): Command Specific Info: 0x1d0000
(cd0:ata2:0:0:0): Error 6, Unretryable error
(cd0:ata2:0:0:0): cddone: got error 0x6 back
ugen1.2: <vendor 0x03eb Standard USB Hub> at usbus1
uhub3 on uhub1
uhub3: <Standard USB Hub> on usbus1
uhub3: 4 ports with 4 removable, self powered
random: unblocking device.
Starting file system checks:
Mounting local filesystems:.
ELF ldconfig path: /lib /usr/lib /usr/lib/compat
/etc/rc: WARNING: $hostname is not set -- see rc.conf(5).
Setting up harvesting: [UMA],[FS_ATIME],SWI,INTERRUPT,NET_NG,NET_ETHER,NET_TUN,MOUSE,KEYBOARD,ATTACH,CACHED
Feeding entropy: dd: /entropy: Read-only file system
dd: /boot/entropy: Read-only file system
.
Starting Network: lo0 bge0 bge1 bge2 bge3.
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
        options=600003<RXCSUM,TXCSUM,RXCSUM_IPV6,TXCSUM_IPV6>
        inet6 ::1 prefixlen 128
        inet6 fe80::1%lo0 prefixlen 64 scopeid 0x5
        inet 127.0.0.1 netmask 0xff000000
        nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
        groups: lo
bge0: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:9e
        hwaddr 00:14:4f:a9:58:9e
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
bge1: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:9f
        hwaddr 00:14:4f:a9:58:9f
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
bge2: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:a0
        hwaddr 00:14:4f:a9:58:a0
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
bge3: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:a1
        hwaddr 00:14:4f:a9:58:a1
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
Starting devd.
Starting Network: bge0.
bge0: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:9e
        hwaddr 00:14:4f:a9:58:9e
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
Starting Network: bge1.
bge1: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:9f
        hwaddr 00:14:4f:a9:58:9f
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
Starting Network: bge2.
bge2: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:a0
        hwaddr 00:14:4f:a9:58:a0
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
Starting Network: bge3.
bge3: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
        ether 00:14:4f:a9:58:a1
        hwaddr 00:14:4f:a9:58:a1
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect
add host 127.0.0.1: gateway lo0 fib 0: route already in table
add host ::1: gateway lo0 fib 0: route already in table
add net fe80::: gateway ::1
add net ff02::: gateway ::1
add net ::ffff:0.0.0.0: gateway ::1
add net ::0.0.0.0: gateway ::1
Generating host.conf.
eval: cannot create /etc/host.conf: Read-only file system
eval: cannot create /etc/host.conf: Read-only file system
eval: cannot create /etc/host.conf: Read-only file system
Creating and/or trimming log files.
Starting syslogd.
Clearing /tmp (X related).
Starting local daemons:
Welcome to FreeBSD!

Please choose the appropriate terminal type for your system.
Common console types are:
   ansi     Standard ANSI terminal
   vt100    VT100 or compatible terminal
   xterm    xterm terminal emulator (or compatible)
   cons25w  cons25w terminal

Console type [vt100]:
Comment 2 Yoshihiko Iwama 2018-07-01 05:11:06 UTC
Sorry, the description of "11.1-RELEASE" in my first post is a mistake in "11.2-RELEASE".
According to the second post, the installer will be launched in 11.1-RELEASE.
Comment 3 Yoshihiko Iwama 2018-08-27 08:35:00 UTC
I applied "loader_main.diff" patch like r338201. Also, I made a disc1 disc image with "make release" and booted from this disc. As a result, I successfully booted from disc.

However, installing both zfsboot and zfsloader on V245 results in an error that kernel can not be read. The boot log is as follows:

===
{1} ok boot disk3
Boot device: /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0  File and args: 
 
>> FreeBSD/sparc64 ZFS boot block
   Boot path:   /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0:a
Consoles: Open Firmware console  
|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\
FreeBSD/sparc64 ZFS enabled bootstrap loader, Revision 1.0
(Thu Aug 23 19:15:53 JST 2018 root@v245.led.t3.rim.or.jp)
bootpath="/pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0:a"
|/-\|/-\
|/-\|/-\|/-\|/-\|/-\|/-\can't load 'kernel'

Type '?' for a list of commands, 'help' for more detailed help.
OK 
===

The combination of zfsboot of 11.1-RELEASE and modified zfsloader successfully booted.
Comment 4 Yoshihiko Iwama 2018-08-27 08:36:38 UTC
Created attachment 196589 [details]
loader_main.diff
Comment 5 Yoshihiko Iwama 2018-08-27 09:09:54 UTC
I also tried Ultra30. I could not boot with unmodified 11.2-RELEASE disc1 with the same error as V245. However, I could boot the disc1 to which the patch was applied. 

However, if I install both zfsboot and zfsloader on HDD and boot it, I fail like V245. The boot log is as follows:

===
ok boot /pci@1f,2000/scsi@1,1/disk@0,0
Boot device: /pci@1f,2000/scsi@1,1/disk@0,0  File and args: 
 
>> FreeBSD/sparc64 ZFS boot block
   Boot path:   /pci@1f,2000/scsi@1,1/disk@0,0:a
Consoles: Open Firmware console  
|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\
FreeBSD/sparc64 ZFS enabled bootstrap loader, Revision 1.0
(Thu Aug 23 19:15:53 JST 2018 root@v245.led.t3.rim.or.jp)
bootpath="/pci@1f,2000/scsi@1,1/disk@0,0:a"
|/-\|/-\
|/-\|/-\|/-\|/-\|/-\|/-\can't load 'kernel'

Type '?' for a list of commands, 'help' for more detailed help.
OK 
===
Comment 6 Kurt Lidl freebsd_committer 2018-08-27 13:42:43 UTC
You probably also need to do the equivalent patch that is in
r338203 - turn off the GELI support, at least in stable/11.

In "head", neither the LOADER_LUA or LOADER_GELI works (currently)
on sparc64.  In stable/11, there isn't any LOADER_LUA support,
nor do I think it will be backported.

I MFC'd the patch from r338201 to stable/11 yesterday.  I have not
verified that turning off LOADER_GELI resolves the issue on stable/11
but I'm pretty confident that it will.
Comment 7 Kurt Lidl freebsd_committer 2018-08-27 13:45:20 UTC
If turning off LOADER_GELI fixes the loader/zfsloader problem on stable/11 for the sparc64 machines, I will MFC the relevant part of the patch.
Comment 8 Yoshihiko Iwama 2018-09-01 02:08:25 UTC
I tried applying "src.opts.mk.diff" patch. However, I could not boot on V245 or Ultra30. The log is as follows:

=== V245
{1} ok boot disk3
Boot device: /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0  File and args: 
 
>> FreeBSD/sparc64 ZFS boot block
   Boot path:   /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0:a
Consoles: Open Firmware console  
|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|
FreeBSD/sparc64 ZFS enabled bootstrap loader, Revision 1.0
(Thu Aug 30 22:24:54 JST 2018 root@v245.led.t3.rim.or.jp)
bootpath="/pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@3,0:a"
/-\|/-\|
/-\|/-\|/-\|/-\|/-\|/-\|can't load 'kernel'

Type '?' for a list of commands, 'help' for more detailed help.
OK 
===

=== Ultra30
ok boot /pci@1f,2000/scsi@1,1/disk@0,0
Boot device: /pci@1f,2000/scsi@1,1/disk@0,0  File and args: 
 
>> FreeBSD/sparc64 ZFS boot block
   Boot path:   /pci@1f,2000/scsi@1,1/disk@0,0:a
Consoles: Open Firmware console  
|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\
FreeBSD/sparc64 ZFS enabled bootstrap loader, Revision 1.0
(Thu Aug 30 22:24:54 JST 2018 root@v245.led.t3.rim.or.jp)
bootpath="/pci@1f,2000/scsi@1,1/disk@0,0:a"
|/-\|/-\
|/-\|/-\|/-\|/-\|/-\|/-\can't load 'kernel'

Type '?' for a list of commands, 'help' for more detailed help.
OK 
===

I am concerned that the boot animation, "|/-\|/-\", is displayed divided into two lines after the "bootpath=" line.

As before patching, I could boot with the combination of zfsboot of 11.1-RELEASE and patched zfsloader. The log is as follows, in this log, the boot animation after "bootpath=" is one line:

=== V245
{1} ok boot disk1
Boot device: /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@1,0  File and args: 
 
>> FreeBSD/sparc64 ZFS boot block
   Boot path:   /pci@1e,600000/pci@0/pci@a/pci@0/pci@8/scsi@1/disk@1,0:a
Consoles: Open Firmware console  
|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\
FreeBSD/sparc64 ZFS enabled bootstrap loader, Revision 1.0
(Thu Aug 30 22:24:54 JST 2018 root@v245.led.t3.rim.or.jp)
bootpath="zfs:zroot/ROOT:"
|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|Loading /boot/defaults/loader.conf
/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/boot/kernel/kernel data=0xc61b40+0xf34b8 /-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-syms=[0x8+0xd8a80\|/-+0x8+0xca379\|/]
-\|/-\|/-\|/-\|/-\|//boot/entropy size=0x1000
-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/boot/kernel/zfs.ko text=0x2c9168 /-\|/-\|/-\data=0xcc48+0x90498 |syms=[0x8+0x22560+0x8+0x1bbcd/]
loading required module 'opensolaris'
-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|/-\|//boot/kernel/opensolaris.ko text=0x30f0 data=0x2c8+0x1a30 syms=[0x8+0xde0+0x8+0x95a]

Hit [Enter] to boot immediately, or any other key for command prompt.
Booting [/boot/kernel/kernel] in 9 seconds... Booting [/boot/kernel/kernel] in 8 seconds... Booting [/boot/kernel/kernel] in 7 seconds... Booting [/boot/kernel/kernel] in 6 seconds... Booting [/boot/kernel/kernel] in 5 seconds... Booting [/boot/kernel/kernel] in 4 seconds... Booting [/boot/kernel/kernel] in 3 seconds... Booting [/boot/kernel/kernel] in 2 seconds... Booting [/boot/kernel/kernel] in 1 second... Booting [/boot/kernel/kernel]...               
-\|/-\|/-\jumping to kernel entry at 0xc00b0000.
Copyright (c) 1992-2018 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 11.2-RELEASE #0 r336574: Sun Jul 22 01:12:54 JST 2018
    root@v245.led.t3.rim.or.jp:/usr/obj/usr/src/sys/GENERIC sparc64
gcc version 4.2.1 20070831 patched [FreeBSD]
real memory  = 17179869184 (16384 MB)
avail memory = 16822042624 (16042 MB)
cpu0: Sun Microsystems UltraSparc-IIIi Processor (1504.00 MHz CPU)
cpu1: Sun Microsystems UltraSparc-IIIi Processor (1504.00 MHz CPU)
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
random: entropy device external interface
kbd0 at kbdmux0
nexus0: <Open Firmware Nexus device>
pcib0: <Sun Host-PCIe bridge> mem 0x4000f600000-0x4000f6effff,0x4000f410000-0x4000f473fff irq 1983,1982 on nexus0
pcib0: Fire, module-revision 3, IGN 0x1e
Timecounter "pcib0" frequency 188000000 Hz quality 100
pcib0: DVMA map: 0xc0000000 to 0xffffffff 131072 entries
pci0: <OFW PCI bus> on pcib0
pcib1: <OFW PCIe-PCIe bridge> mem 0x100000-0x11ffff at device 0.0 on pci0
pci1: <OFW PCI bus> on pcib1
pcib2: <OFW PCIe-PCIe bridge> at device 1.0 on pci1
pci2: <OFW PCI bus> on pcib2
pcib3: <OFW PCIe-PCIe bridge> at device 0.0 on pci2
pci3: <OFW PCI bus> on pcib3
pcib4: <OFW PCIe-PCIe bridge> at device 2.0 on pci1
pci4: <OFW PCI bus> on pcib4
pcib5: <OFW PCIe-PCIe bridge> at device 8.0 on pci1
pci5: <OFW PCI bus> on pcib5
pcib6: <OFW PCIe-PCIe bridge> at device 9.0 on pci1
pci6: <OFW PCI bus> on pcib6
pcib7: <OFW PCIe-PCIe bridge> at device 0.0 on pci6
pci7: <OFW PCI bus> on pcib7
pcib8: <OFW PCIe-PCI bridge> at device 8.0 on pci7
pci8: <OFW PCI bus> on pcib8
pcib9: <OFW PCIe-PCIe bridge> at device 10.0 on pci1
pci9: <OFW PCI bus> on pcib9
pcib10: <OFW PCIe-PCIe bridge> at device 0.0 on pci9
pci10: <OFW PCI bus> on pcib10
pcib11: <OFW PCIe-PCI bridge> at device 8.0 on pci10
pci11: <OFW PCI bus> on pcib11
pcib12: <Sun Host-PCIe bridge> mem 0x4000ff00000-0x4000ffeffff,0x4000fc10000-0x4000fc73fff irq 2047,2046 on nexus0
pcib12: Fire, module-revision 3, IGN 0x1f
pcib12: DVMA map: 0xc0000000 to 0xffffffff 131072 entries
pci12: <OFW PCI bus> on pcib12
pcib13: <OFW PCIe-PCIe bridge> at device 0.0 on pci12
pci13: <OFW PCI bus> on pcib13
pcib14: <OFW PCIe-PCIe bridge> at device 0.2 on pci12
pci14: <OFW PCI bus> on pcib14
ebus0: <JBus-EBus bridge> mem 0x4000fc64000-0x4000fc6401f on nexus0
nexus0: <memory-controller> mem 0x40000000000-0x40000000007 type memory-controller (no driver attached)
nexus0: <memory-controller> mem 0x40000800000-0x40000800007 type memory-controller (no driver attached)
ohci0: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x1000000-0x1000fff at device 28.0 on pci3
usbus0 on ohci0
ohci1: <AcerLabs M5237 (Aladdin-V) USB controller> mem 0x2000000-0x2000fff at device 28.1 on pci3
usbus1 on ohci1
ehci0: <ALi M5239 USB 2.0 controller> mem 0x200000-0x2000ff at device 28.3 on pci3
usbus2: EHCI version 1.0
usbus2 on ehci0
isab0: <PCI-ISA bridge> at device 30.0 on pci3
isa0: <ISA bus> on isab0
atapci0: <AcerLabs M5229 UDMA133 controller> port 0x1040-0x1047,0x1080-0x1083,0x10c0-0x10c7,0x1100-0x1103,0x1000-0x100f at device 31.0 on pci3
ata2: <ATA channel> at channel 0 on atapci0
ata3: <ATA channel> at channel 1 on atapci0
bge0: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4200000-0x420ffff,0x4010000-0x401ffff at device 4.0 on pci7
bge0: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus0: <MII bus> on bge0
brgphy0: <BCM5714 1000BASE-T media interface> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge0: Ethernet address: 00:14:4f:a9:58:9e
bge1: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4400000-0x440ffff,0x4030000-0x403ffff at device 4.1 on pci7
bge1: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus1: <MII bus> on bge1
brgphy1: <BCM5714 1000BASE-T media interface> PHY 1 on miibus1
brgphy1:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge1: Ethernet address: 00:14:4f:a9:58:9f
bge2: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4800000-0x480ffff,0x4610000-0x461ffff at device 4.0 on pci10
bge2: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus2: <MII bus> on bge2
brgphy2: <BCM5714 1000BASE-T media interface> PHY 1 on miibus2
brgphy2:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge2: Ethernet address: 00:14:4f:a9:58:a0
bge3: <Broadcom BCM5715 A3, ASIC rev. 0x009003> mem 0x4a00000-0x4a0ffff,0x4630000-0x463ffff at device 4.1 on pci10
bge3: CHIP ID 0x00009003; ASIC REV 0x09; CHIP REV 0x90; PCI-X 133 MHz
miibus3: <MII bus> on bge3
brgphy3: <BCM5714 1000BASE-T media interface> PHY 1 on miibus3
brgphy3:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-master, 1000baseT-FDX, 1000baseT-FDX-master, auto, auto-flow
bge3: Ethernet address: 00:14:4f:a9:58:a1
mpt0: <LSILogic SAS/SATA Adapter> port 0x2000-0x20ff mem 0x4c00000-0x4c03fff,0x4c10000-0x4c1ffff at device 1.0 on pci11
mpt0: MPI Version=1.5.12.0
mpt0: Capabilities: ( RAID-0 RAID-1E RAID-1 )
mpt0: 0 Active Volumes (2 Max)
mpt0: 0 Hidden Drive Members (10 Max)
ebus0: <flashprom> addr 0-0x1fffff (no driver attached)
uart0: <16550 or compatible> addr 0x200000080-0x200000087 irq 1992 on ebus0uart0: console (9600,n,8,1)
uart1: <16550 or compatible> addr 0x200000040-0x200000047 irq 1993 on ebus0
ebus0: <rmc-comm> addr 0x200000000-0x200000007 irq 1994 (no driver attached)
ebus0: <gpio> addr 0x2000000c0 (no driver attached)
epic0: <Sun Fire V215/V245 LEDs> addr 0x300000000-0x300000080 on ebus0
ebus0: <power> addr 0x300000040-0x3000000c1 irq 1987 (no driver attached)
nexus0: <i2c> mem 0x4000fd30000-0x4000fd3003f irq 1985 type i2c (no driver attached)
cryptosoft0: <software crypto> on nexus0
nexus0: <syscons> type unknown (no driver attached)
rtc0: <Real-Time Clock> at port 0x70-0x73 on isa0
rtc0: registered as a time-of-day clock, resolution 1.000000s
ZFS filesystem version: 5
ZFS storage pool version: features support (5000)
Timecounter "tick" frequency 1504000000 Hz quality 10
Timecounter "stick" frequency 20000000 Hz quality 10
Event timer "tick" frequency 1504000000 Hz quality 1000
Timecounters tick every 1.000 msec
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
ugen0.1: <AcerLabs OHCI root HUB> at usbus0
uhub0: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <AcerLabs OHCI root HUB> at usbus1
uhub1: <AcerLabs OHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
usbus2: 480Mbps High Speed USB v2.0
ugen2.1: <AcerLabs EHCI root HUB> at usbus2
uhub2: <AcerLabs EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus2
da0 at mpt0 bus 0 scbus2 target 0 lun 0
uhub0: 3 ports with 3 removable, self powered
uhub1: 3 ports with 3 removable, self powered
da0: <HITACHI H106030SDSUN300G A2B0> Fixed Direct Access SPC-4 SCSI device
da0: Serial Number 001114N1MM6B        PMH1MM6B
da0: 300.000MB/s transfers
da0: Command Queueing enabled
da0: 286102MB (585937500 512 byte sectors)
da1 at mpt0 bus 0 scbus2 target 1 lun 0
da1: <SEAGATE ST930003SSUN300G 0B70> Fixed Direct Access SPC-3 SCSI device
da1: Serial Number 001109734E4D        6SE34E4D
da1: 300.000MB/s transfers
da1: Command Queueing enabled
da1: 286102MB (585937500 512 byte sectors)
da2 at mpt0 bus 0 scbus2 target 2 lun 0
da2: <HITACHI H106030SDSUN300G A2B0> Fixed Direct Access SPC-4 SCSI device
da2: Serial Number 001114N1K9XB        PMH1K9XB
da2: 300.000MB/s transfers
da2: Command Queueing enabled
da2: 286102MB (585937500 512 byte sectors)
da3 at mpt0 bus 0 scbus2 target 3 lun 0
da3: <SEAGATE ST930003SSUN300G 0B70> Fixed Direct Access SPC-3 SCSI device
da3: Serial Number 001109734D8E        6SE34D8E
da3: 300.000MB/s transfers
da3: Command Queueing enabled
da3: 286102MB (585937500 512 byte sectors)
SMP: AP CPU #1 Launched!
cd0 at ata2 bus 0 scbus0 target 0 lun 0
cd0: <MATSHITA DVD-RAM UJ-85JS F100> Removable CD-ROM SCSI device
cd0: 33.300MB/s transfers (Trying to mount root from zfs:zroot/ROOT []...
UDMA2, ATAPI 12bytes, PIO 65534bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present
Root mount waiting for: usbus2
Root mount waiting for: usbus2
uhub2: 8 ports with 8 removable, self powered
Root mount waiting for: usbus2
random: unblocking device.
ugen1.2: <vendor 0x03eb Standard USB Hub> at usbus1
uhub3 on uhub1
uhub3: <Standard USB Hub> on usbus1
uhub3: 4 ports with 4 removable, self powered
Setting hostuuid: 98925954-8cb1-11e8-b3e6-00144fa9589e.
Setting hostid: 0x777339ba.
No suitable dump device was found.
Starting file system checks:
Mounting local filesystems:.
ELF ldconfig path: /lib /usr/lib /usr/lib/compat
Setting hostname: v245.led.t3.rim.or.jp.
Setting up harvesting: [UMA],[FS_ATIME],SWI,INTERRUPT,NET_NG,NET_ETHER,NET_TUN,MOUSE,KEYBOARD,ATTACH,CACHED
Feeding entropy: .
bge0: link state changed to DOWN
bge0: link state changed to UP
Starting Network: lo0 bge0 bge1 bge2 bge3.
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
	options=600003<RXCSUM,TXCSUM,RXCSUM_IPV6,TXCSUM_IPV6>
	inet6 ::1 prefixlen 128 
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0x5 
	inet 127.0.0.1 netmask 0xff000000 
	nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
	groups: lo 
bge0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:9e
	hwaddr 00:14:4f:a9:58:9e
	inet 192.168.65.45 netmask 0xffffff00 broadcast 192.168.65.255 
	inet6 fe80::214:4fff:fea9:589e%bge0 prefixlen 64 scopeid 0x1 
	nd6 options=23<PERFORMNUD,ACCEPT_RTADV,AUTO_LINKLOCAL>
	media: Ethernet autoselect (1000baseT <full-duplex>)
	status: active
bge1: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:9f
	hwaddr 00:14:4f:a9:58:9f
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
bge2: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:a0
	hwaddr 00:14:4f:a9:58:a0
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
bge3: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:a1
	hwaddr 00:14:4f:a9:58:a1
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
Starting devd.
Starting Network: bge1.
bge1: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:9f
	hwaddr 00:14:4f:a9:58:9f
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
Starting Network: bge2.
bge2: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:a0
	hwaddr 00:14:4f:a9:58:a0
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
Starting Network: bge3.
bge3: flags=8802<BROADCAST,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8009b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,LINKSTATE>
	ether 00:14:4f:a9:58:a1
	hwaddr 00:14:4f:a9:58:a1
	nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
	media: Ethernet autoselect
add host 127.0.0.1: gateway lo0 fib 0: route already in table
add net default: gateway 192.168.65.1
add host ::1: gateway lo0 fib 0: route already in table
add net fe80::: gateway ::1
add net ff02::: gateway ::1
add net ::ffff:0.0.0.0: gateway ::1
add net ::0.0.0.0: gateway ::1
Creating and/or trimming log files.
Starting syslogd.
Clearing /tmp (X related).
Updating motd:.
Mounting late filesystems:.
Starting ntpd.
Performing sanity check on sshd configuration.
Sep  1 09:42:56 v245 ntpd[889]: leapsecond file ('/var/db/ntpd.leap-seconds.list'): expired less than 248 days ago
Starting sshd.
Starting cron.
Starting background file system 
FreeBSD/sparc64 (v245.led.t3.rim.or.jp) (ttyu0)

login: 
===

Also, I am concerned that the value of "bootpath=" line is different. That is, if both zfsboot and zfsloader are patched, it is the device name of OBP, and if only zfsloader is patched, it is "zfs:zroot/ROOT:".
Comment 9 Yoshihiko Iwama 2018-09-01 02:09:37 UTC
Created attachment 196756 [details]
src.opts.mk.diff